<?php

class UniteCreatorGlobalsPro{

	/**
	 * run init on plugins loaded
	 * init only pro version features
	 */
	public static function init(){
		
		if(GlobalsUC::$isProVersion == false)
			return(false);
				
		GlobalsUnlimitedElements::$enableEditProOptions = true;		
		 
		if(GlobalsUnlimitedElements::$enableLimitProFunctionality == false)
			GlobalsUnlimitedElements::$enableEditProOptions = false;
		
	}
	
	
	/**
	 * run pro globals
	 */
	public static function run(){
		
		add_action("plugins_loaded",array("UniteCreatorGlobalsPro", "init"));
				
	}

}


UniteCreatorGlobalsPro::run();